org.apache.tinkerpop.gremlin.process.traversal.step.map

## Class MatchTest

- java.lang.Object
- - org.apache.tinkerpop.gremlin.AbstractGremlinTest
  - - org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest
    - - org.apache.tinkerpop.gremlin.process.traversal.step.map.MatchTest

- Direct Known Subclasses:
    MatchTest.Traversals

      public abstract class MatchTest
      extends AbstractGremlinProcessTest

  Author:
    Joshua Shinavier (http://fortytwo.net), Marko A. Rodriguez (http://markorodriguez.com)

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `MatchTest.CountMatchTraversals`
    `static class` | `MatchTest.GreedyMatchTraversals`
    `static class` | `MatchTest.Traversals`

  - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `config, g, graph, graphProvider, name, shouldTestIteratorLeak`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MatchTest()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `g_V_asXaX_out_asXbX_matchXa_out_count_c__b_in_count_cX()`
    `void` | `g_V_asXaX_out_asXbX_matchXa_out_count_c__orXa_knows_b__b_in_count_c__and__c_isXgtX2XXXX()`
    `void` | `g_V_hasLabelXsongsX_matchXa_name_b__a_performances_cX_selectXb_cX_count()`
    `void` | `g_V_matchXa__a_both_b__b_both_cX_dedupXa_bX()`
    `void` | `g_V_matchXa__a_out_b__notXa_created_bXX()`
    `void` | `g_V_matchXa_0sungBy_b__a_0sungBy_c__b_writtenBy_d__c_writtenBy_e__d_hasXname_George_HarisonX__e_hasXname_Bob_MarleyXX()`
    `void` | `g_V_matchXa_0sungBy_b__a_0writtenBy_c__b_writtenBy_d__c_sungBy_d__d_hasXname_GarciaXX()`
    `void` | `g_V_matchXa_0sungBy_b__a_0writtenBy_c__b_writtenBy_dX_whereXc_sungBy_dX_whereXd_hasXname_GarciaXX()`
    `void` | `g_V_matchXa_both_b__b_both_cX_dedupXa_bX_byXlabelX()`
    `void` | `g_V_matchXa_created_b__a_repeatXoutX_timesX2XX_selectXa_bX()`
    `void` | `g_V_matchXa_created_b__b_0created_aX()`
    `void` | `g_V_matchXa_created_b__b_0created_cX_whereXa_neq_cX_selectXa_cX()`
    `void` | `g_V_matchXa_created_b__c_created_bX_selectXa_b_cX_byXnameX()`
    `void` | `g_V_matchXa_created_lop_b__b_0created_29_c__c_whereXrepeatXoutX_timesX2XXX()`
    `void` | `g_V_matchXa_created_lop_b__b_0created_29_cX_whereXc_repeatXoutX_timesX2XX_selectXa_b_cX()`
    `void` | `g_V_matchXa_followedBy_count_isXgtX10XX_b__a_0followedBy_count_isXgtX10XX_bX_count()`
    `void` | `g_V_matchXa_hasXname_GarciaX__a_0writtenBy_b__a_0sungBy_bX()`
    `void` | `g_V_matchXa_hasXname_GarciaX__a_0writtenBy_b__b_followedBy_c__c_writtenBy_d__whereXd_neqXaXXX()`
    `void` | `g_V_matchXa_hasXsong_name_sunshineX__a_mapX0followedBy_weight_meanX_b__a_0followedBy_c__c_filterXweight_whereXgteXbXXX_outV_dX_selectXdX_byXnameX()`
    `void` | `g_V_matchXa_knows_b__a_created_cX()`
    `void` | `g_V_matchXa_knows_b__andXa_created_c__b_created_c__andXb_created_count_d__a_knows_count_dXXX()`
    `void` | `g_V_matchXa_knows_b__b_created_c__a_created_cX_dedupXa_b_cX_selectXaX_byXnameX()`
    `void` | `g_V_matchXa_knows_b__b_created_cX()`
    `void` | `g_V_matchXa_knows_b__b_created_lop__b_matchXb_created_d__d_0created_cX_selectXcX_cX_selectXa_b_cX()`
    `void` | `g_V_matchXa_knows_b__c_knows_bX()`
    `void` | `g_V_matchXa_knows_count_bX_selectXbX()`
    `void` | `g_V_matchXa_out_bX_selectXb_idX()`
    `void` | `g_V_matchXa_out_bX()`
    `void` | `g_V_matchXa_outEXcreatedX_order_byXweight_descX_limitX1X_inV_b__b_hasXlang_javaXX_selectXa_bX_byXnameX()`
    `void` | `g_V_matchXa_outXknowsX_name_bX_identity()`
    `void` | `g_V_matchXa_whereXa_neqXcXX__a_created_b__orXa_knows_vadas__a_0knows_and_a_hasXlabel_personXX__b_0created_c__b_0created_count_isXgtX1XXX_selectXa_b_cX_byXidX()`
    `void` | `g_V_matchXb_created_c__a_knows_bX()`
    `void` | `g_V_matchXd_0knows_a__d_hasXname_vadasX__a_knows_b__b_created_cX()`
    `void` | `g_V_matchXwhereXandXa_created_b__b_0created_count_isXeqX3XXXX__a_both_b__whereXb_inXX()`
    `void` | `g_V_notXmatchXa_age_b__a_name_cX_whereXb_eqXcXX_selectXaXX_name()`
    `void` | `g_V_out_asXcX_matchXb_knows_a__c_created_eX_selectXcX()`
    `void` | `g_V_out_out_matchXa_0created_b__b_0knows_cX_selectXcX_outXcreatedX_name()`
    `void` | `g_V_valueMap_matchXa_selectXnameX_bX()`
    `abstract Traversal<Vertex,Map<String,Object>>` | `get_g_V_asXaX_out_asXbX_matchXa_out_count_c__b_in_count_cX()`
    `abstract Traversal<Vertex,Map<String,Object>>` | `get_g_V_asXaX_out_asXbX_matchXa_out_count_c__orXa_knows_b__b_in_count_c__and__c_isXgtX2XXXX()`
    `abstract Traversal<Vertex,Long>` | `get_g_V_hasLabelXsongsX_matchXa_name_b__a_performances_cX_selectXb_cX_count()`
    `abstract Traversal<Vertex,Map<String,Vertex>>` | `get_g_V_matchXa__a_both_b__b_both_cX_dedupXa_bX()`
    `abstract Traversal<Vertex,Map<String,Object>>` | `get_g_V_matchXa__a_out_b__notXa_created_bXX()`
    `abstract Traversal<Vertex,Map<String,Vertex>>` | `get_g_V_matchXa_0sungBy_b__a_0sungBy_c__b_writtenBy_d__c_writtenBy_e__d_hasXname_George_HarisonX__e_hasXname_Bob_MarleyXX()`
    `abstract Traversal<Vertex,Map<String,Vertex>>` | `get_g_V_matchXa_0sungBy_b__a_0writtenBy_c__b_writtenBy_d__c_sungBy_d__d_hasXname_GarciaXX()`
    `abstract Traversal<Vertex,Map<String,Vertex>>` | `get_g_V_matchXa_0sungBy_b__a_0writtenBy_c__b_writtenBy_dX_whereXc_sungBy_dX_whereXd_hasXname_GarciaXX()`
    `abstract Traversal<Vertex,Map<String,Vertex>>` | `get_g_V_matchXa_both_b__b_both_cX_dedupXa_bX_byXlabelX()`
    `abstract Traversal<Vertex,Map<String,Vertex>>` | `get_g_V_matchXa_created_b__a_repeatXoutX_timesX2XX_selectXa_bX()`
    `abstract Traversal<Vertex,Map<String,Vertex>>` | `get_g_V_matchXa_created_b__b_0created_aX()`
    `abstract Traversal<Vertex,Map<String,Vertex>>` | `get_g_V_matchXa_created_b__b_0created_cX_whereXa_neq_cX_selectXa_cX()`
    `abstract Traversal<Vertex,Map<String,String>>` | `get_g_V_matchXa_created_b__c_created_bX_selectXa_b_cX_byXnameX()`
    `abstract Traversal<Vertex,Map<String,String>>` | `get_g_V_matchXa_created_lop_b__b_0created_29_c__c_whereXrepeatXoutX_timesX2XXX()`
    `abstract Traversal<Vertex,Map<String,String>>` | `get_g_V_matchXa_created_lop_b__b_0created_29_cX_whereXc_repeatXoutX_timesX2XX_selectXa_b_cX()`
    `abstract Traversal<Vertex,Long>` | `get_g_V_matchXa_followedBy_count_isXgtX10XX_b__a_0followedBy_count_isXgtX10XX_bX_count()`
    `abstract Traversal<Vertex,Map<String,Vertex>>` | `get_g_V_matchXa_hasXname_GarciaX__a_0writtenBy_b__a_0sungBy_bX()`
    `abstract Traversal<Vertex,Map<String,Vertex>>` | `get_g_V_matchXa_hasXname_GarciaX__a_0writtenBy_b__b_followedBy_c__c_writtenBy_d__whereXd_neqXaXXX()`
    `abstract Traversal<Vertex,String>` | `get_g_V_matchXa_hasXsong_name_sunshineX__a_mapX0followedBy_weight_meanX_b__a_0followedBy_c__c_filterXweight_whereXgteXbXXX_outV_dX_selectXdX_byXnameX()`
    `abstract Traversal<Vertex,Map<String,Vertex>>` | `get_g_V_matchXa_knows_b__a_created_cX()`
    `abstract Traversal<Vertex,Map<String,Object>>` | `get_g_V_matchXa_knows_b__andXa_created_c__b_created_c__andXb_created_count_d__a_knows_count_dXXX()`
    `abstract Traversal<Vertex,String>` | `get_g_V_matchXa_knows_b__b_created_c__a_created_cX_dedupXa_b_cX_selectXaX_byXnameX()`
    `abstract Traversal<Vertex,Map<String,Vertex>>` | `get_g_V_matchXa_knows_b__b_created_cX()`
    `abstract Traversal<Vertex,Map<String,Vertex>>` | `get_g_V_matchXa_knows_b__b_created_lop__b_matchXb_created_d__d_0created_cX_selectXcX_cX_selectXa_b_cX()`
    `abstract Traversal<Vertex,Map<String,Vertex>>` | `get_g_V_matchXa_knows_b__c_knows_bX()`
    `abstract Traversal<Vertex,Long>` | `get_g_V_matchXa_knows_count_bX_selectXbX()`
    `abstract Traversal<Vertex,Object>` | `get_g_V_matchXa_out_bX_selectXb_idX()`
    `abstract Traversal<Vertex,Map<String,Vertex>>` | `get_g_V_matchXa_out_bX()`
    `abstract Traversal<Vertex,Map<String,String>>` | `get_g_V_matchXa_outEXcreatedX_order_byXweight_descX_limitX1X_inV_b__b_hasXlang_javaXX_selectXa_bX_byXnameX()`
    `abstract Traversal<Vertex,Map<String,Object>>` | `get_g_V_matchXa_outXknowsX_name_bX_identity()`
    `abstract Traversal<Vertex,Map<String,Object>>` | `get_g_V_matchXa_whereXa_neqXcXX__a_created_b__orXa_knows_vadas__a_0knows_and_a_hasXlabel_personXX__b_0created_c__b_0created_count_isXgtX1XXX_selectXa_b_cX_byXidX()`
    `abstract Traversal<Vertex,Map<String,Vertex>>` | `get_g_V_matchXb_created_c__a_knows_bX()`
    `abstract Traversal<Vertex,Map<String,Vertex>>` | `get_g_V_matchXd_0knows_a__d_hasXname_vadasX__a_knows_b__b_created_cX()`
    `abstract Traversal<Vertex,Map<String,Object>>` | `get_g_V_matchXwhereXandXa_created_b__b_0created_count_isXeqX3XXXX__a_both_b__whereXb_inXX()`
    `abstract Traversal<Vertex,String>` | `get_g_V_notXmatchXa_age_b__a_name_cX_whereXb_eqXcXX_selectXaXX_name()`
    `abstract Traversal<Vertex,String>` | `get_g_V_out_asXcX_matchXb_knows_a__c_created_eX_selectXcX()`
    `abstract Traversal<Vertex,String>` | `get_g_V_out_out_matchXa_0created_b__b_0knows_cX_selectXcX_outXcreatedX_name()`
    `abstract Traversal<Vertex,Map<String,Object>>` | `get_g_V_valueMap_matchXa_selectXnameX_bX()`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest

      `checkMap, checkOrderedResults, checkResults, checkResults, checkSideEffects, graphMeetsTestRequirements, hasGraphComputerRequirement, makeMapList, setupTest`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `afterLoadGraphWith, assertVertexEdgeCounts, beforeLoadGraphWith, convertToEdge, convertToEdgeId, convertToEdgeId, convertToVertex, convertToVertex, convertToVertexId, convertToVertexId, convertToVertexProperty, convertToVertexPropertyId, convertToVertexPropertyId, getAssertVertexEdgeCounts, printTraversalForm, setup, tearDown, tryCommit, tryCommit, tryRollback, validateException, verifyUniqueStepIds`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MatchTest

          public MatchTest()

  - ### Method Detail

    - #### get_g_V_valueMap_matchXa_selectXnameX_bX

          public abstract Traversal<Vertex,Map<String,Object>> get_g_V_valueMap_matchXa_selectXnameX_bX()

    - #### get_g_V_matchXa_outXknowsX_name_bX_identity

          public abstract Traversal<Vertex,Map<String,Object>> get_g_V_matchXa_outXknowsX_name_bX_identity()

    - #### get_g_V_matchXa_out_bX

          public abstract Traversal<Vertex,Map<String,Vertex>> get_g_V_matchXa_out_bX()

    - #### get_g_V_matchXa_out_bX_selectXb_idX

          public abstract Traversal<Vertex,Object> get_g_V_matchXa_out_bX_selectXb_idX()

    - #### get_g_V_matchXa_knows_b__b_created_cX

          public abstract Traversal<Vertex,Map<String,Vertex>> get_g_V_matchXa_knows_b__b_created_cX()

    - #### get_g_V_matchXb_created_c__a_knows_bX

          public abstract Traversal<Vertex,Map<String,Vertex>> get_g_V_matchXb_created_c__a_knows_bX()

    - #### get_g_V_matchXa_knows_b__a_created_cX

          public abstract Traversal<Vertex,Map<String,Vertex>> get_g_V_matchXa_knows_b__a_created_cX()

    - #### get_g_V_matchXd_0knows_a__d_hasXname_vadasX__a_knows_b__b_created_cX

          public abstract Traversal<Vertex,Map<String,Vertex>> get_g_V_matchXd_0knows_a__d_hasXname_vadasX__a_knows_b__b_created_cX()

    - #### get_g_V_matchXa_created_b__a_repeatXoutX_timesX2XX_selectXa_bX

          public abstract Traversal<Vertex,Map<String,Vertex>> get_g_V_matchXa_created_b__a_repeatXoutX_timesX2XX_selectXa_bX()

    - #### get_g_V_matchXa_created_lop_b__b_0created_29_c__c_whereXrepeatXoutX_timesX2XXX

          public abstract Traversal<Vertex,Map<String,String>> get_g_V_matchXa_created_lop_b__b_0created_29_c__c_whereXrepeatXoutX_timesX2XXX()

    - #### get_g_V_matchXa_created_lop_b__b_0created_29_cX_whereXc_repeatXoutX_timesX2XX_selectXa_b_cX

          public abstract Traversal<Vertex,Map<String,String>> get_g_V_matchXa_created_lop_b__b_0created_29_cX_whereXc_repeatXoutX_timesX2XX_selectXa_b_cX()

    - #### get_g_V_out_out_matchXa_0created_b__b_0knows_cX_selectXcX_outXcreatedX_name

          public abstract Traversal<Vertex,String> get_g_V_out_out_matchXa_0created_b__b_0knows_cX_selectXcX_outXcreatedX_name()

    - #### get_g_V_matchXa_created_b__b_0created_aX

          public abstract Traversal<Vertex,Map<String,Vertex>> get_g_V_matchXa_created_b__b_0created_aX()

    - #### get_g_V_matchXa_knows_b__c_knows_bX

          public abstract Traversal<Vertex,Map<String,Vertex>> get_g_V_matchXa_knows_b__c_knows_bX()

    - #### get_g_V_matchXa_knows_b__b_created_lop__b_matchXb_created_d__d_0created_cX_selectXcX_cX_selectXa_b_cX

          public abstract Traversal<Vertex,Map<String,Vertex>> get_g_V_matchXa_knows_b__b_created_lop__b_matchXb_created_d__d_0created_cX_selectXcX_cX_selectXa_b_cX()

    - #### get_g_V_matchXa_hasXname_GarciaX__a_0writtenBy_b__a_0sungBy_bX

          public abstract Traversal<Vertex,Map<String,Vertex>> get_g_V_matchXa_hasXname_GarciaX__a_0writtenBy_b__a_0sungBy_bX()

    - #### get_g_V_matchXa_0sungBy_b__a_0sungBy_c__b_writtenBy_d__c_writtenBy_e__d_hasXname_George_HarisonX__e_hasXname_Bob_MarleyXX

          public abstract Traversal<Vertex,Map<String,Vertex>> get_g_V_matchXa_0sungBy_b__a_0sungBy_c__b_writtenBy_d__c_writtenBy_e__d_hasXname_George_HarisonX__e_hasXname_Bob_MarleyXX()

    - #### get_g_V_matchXa_0sungBy_b__a_0writtenBy_c__b_writtenBy_d__c_sungBy_d__d_hasXname_GarciaXX

          public abstract Traversal<Vertex,Map<String,Vertex>> get_g_V_matchXa_0sungBy_b__a_0writtenBy_c__b_writtenBy_d__c_sungBy_d__d_hasXname_GarciaXX()

    - #### get_g_V_matchXa_0sungBy_b__a_0writtenBy_c__b_writtenBy_dX_whereXc_sungBy_dX_whereXd_hasXname_GarciaXX

          public abstract Traversal<Vertex,Map<String,Vertex>> get_g_V_matchXa_0sungBy_b__a_0writtenBy_c__b_writtenBy_dX_whereXc_sungBy_dX_whereXd_hasXname_GarciaXX()

    - #### get_g_V_matchXa_created_b__b_0created_cX_whereXa_neq_cX_selectXa_cX

          public abstract Traversal<Vertex,Map<String,Vertex>> get_g_V_matchXa_created_b__b_0created_cX_whereXa_neq_cX_selectXa_cX()

    - #### get_g_V_matchXa_created_b__c_created_bX_selectXa_b_cX_byXnameX

          public abstract Traversal<Vertex,Map<String,String>> get_g_V_matchXa_created_b__c_created_bX_selectXa_b_cX_byXnameX()

    - #### get_g_V_out_asXcX_matchXb_knows_a__c_created_eX_selectXcX

          public abstract Traversal<Vertex,String> get_g_V_out_asXcX_matchXb_knows_a__c_created_eX_selectXcX()

    - #### get_g_V_matchXa_whereXa_neqXcXX__a_created_b__orXa_knows_vadas__a_0knows_and_a_hasXlabel_personXX__b_0created_c__b_0created_count_isXgtX1XXX_selectXa_b_cX_byXidX

          public abstract Traversal<Vertex,Map<String,Object>> get_g_V_matchXa_whereXa_neqXcXX__a_created_b__orXa_knows_vadas__a_0knows_and_a_hasXlabel_personXX__b_0created_c__b_0created_count_isXgtX1XXX_selectXa_b_cX_byXidX()

    - #### get_g_V_asXaX_out_asXbX_matchXa_out_count_c__b_in_count_cX

          public abstract Traversal<Vertex,Map<String,Object>> get_g_V_asXaX_out_asXbX_matchXa_out_count_c__b_in_count_cX()

    - #### get_g_V_matchXa_hasXname_GarciaX__a_0writtenBy_b__b_followedBy_c__c_writtenBy_d__whereXd_neqXaXXX

          public abstract Traversal<Vertex,Map<String,Vertex>> get_g_V_matchXa_hasXname_GarciaX__a_0writtenBy_b__b_followedBy_c__c_writtenBy_d__whereXd_neqXaXXX()

    - #### get_g_V_matchXa_knows_b__andXa_created_c__b_created_c__andXb_created_count_d__a_knows_count_dXXX

          public abstract Traversal<Vertex,Map<String,Object>> get_g_V_matchXa_knows_b__andXa_created_c__b_created_c__andXb_created_count_d__a_knows_count_dXXX()

    - #### get_g_V_asXaX_out_asXbX_matchXa_out_count_c__orXa_knows_b__b_in_count_c__and__c_isXgtX2XXXX

          public abstract Traversal<Vertex,Map<String,Object>> get_g_V_asXaX_out_asXbX_matchXa_out_count_c__orXa_knows_b__b_in_count_c__and__c_isXgtX2XXXX()

    - #### get_g_V_matchXa__a_out_b__notXa_created_bXX

          public abstract Traversal<Vertex,Map<String,Object>> get_g_V_matchXa__a_out_b__notXa_created_bXX()

    - #### get_g_V_matchXwhereXandXa_created_b__b_0created_count_isXeqX3XXXX__a_both_b__whereXb_inXX

          public abstract Traversal<Vertex,Map<String,Object>> get_g_V_matchXwhereXandXa_created_b__b_0created_count_isXeqX3XXXX__a_both_b__whereXb_inXX()

    - #### get_g_V_matchXa__a_both_b__b_both_cX_dedupXa_bX

          public abstract Traversal<Vertex,Map<String,Vertex>> get_g_V_matchXa__a_both_b__b_both_cX_dedupXa_bX()

    - #### get_g_V_matchXa_both_b__b_both_cX_dedupXa_bX_byXlabelX

          public abstract Traversal<Vertex,Map<String,Vertex>> get_g_V_matchXa_both_b__b_both_cX_dedupXa_bX_byXlabelX()

    - #### get_g_V_hasLabelXsongsX_matchXa_name_b__a_performances_cX_selectXb_cX_count

          public abstract Traversal<Vertex,Long> get_g_V_hasLabelXsongsX_matchXa_name_b__a_performances_cX_selectXb_cX_count()

    - #### get_g_V_matchXa_knows_count_bX_selectXbX

          public abstract Traversal<Vertex,Long> get_g_V_matchXa_knows_count_bX_selectXbX()

    - #### get_g_V_matchXa_knows_b__b_created_c__a_created_cX_dedupXa_b_cX_selectXaX_byXnameX

          public abstract Traversal<Vertex,String> get_g_V_matchXa_knows_b__b_created_c__a_created_cX_dedupXa_b_cX_selectXaX_byXnameX()

    - #### get_g_V_notXmatchXa_age_b__a_name_cX_whereXb_eqXcXX_selectXaXX_name

          public abstract Traversal<Vertex,String> get_g_V_notXmatchXa_age_b__a_name_cX_whereXb_eqXcXX_selectXaXX_name()

    - #### get_g_V_matchXa_followedBy_count_isXgtX10XX_b__a_0followedBy_count_isXgtX10XX_bX_count

          public abstract Traversal<Vertex,Long> get_g_V_matchXa_followedBy_count_isXgtX10XX_b__a_0followedBy_count_isXgtX10XX_bX_count()

    - #### get_g_V_matchXa_hasXsong_name_sunshineX__a_mapX0followedBy_weight_meanX_b__a_0followedBy_c__c_filterXweight_whereXgteXbXXX_outV_dX_selectXdX_byXnameX

          public abstract Traversal<Vertex,String> get_g_V_matchXa_hasXsong_name_sunshineX__a_mapX0followedBy_weight_meanX_b__a_0followedBy_c__c_filterXweight_whereXgteXbXXX_outV_dX_selectXdX_byXnameX()

    - #### get_g_V_matchXa_outEXcreatedX_order_byXweight_descX_limitX1X_inV_b__b_hasXlang_javaXX_selectXa_bX_byXnameX

          public abstract Traversal<Vertex,Map<String,String>> get_g_V_matchXa_outEXcreatedX_order_byXweight_descX_limitX1X_inV_b__b_hasXlang_javaXX_selectXa_bX_byXnameX()

    - #### g_V_valueMap_matchXa_selectXnameX_bX

          public void g_V_valueMap_matchXa_selectXnameX_bX()

    - #### g_V_matchXa_out_bX

          public void g_V_matchXa_out_bX()
                                  throws Exception

      Throws:
        `Exception`

    - #### g_V_matchXa_out_bX_selectXb_idX

          public void g_V_matchXa_out_bX_selectXb_idX()
                                               throws Exception

      Throws:
        `Exception`

    - #### g_V_matchXa_knows_b__b_created_cX

          public void g_V_matchXa_knows_b__b_created_cX()
                                                 throws Exception

      Throws:
        `Exception`

    - #### g_V_matchXb_created_c__a_knows_bX

          public void g_V_matchXb_created_c__a_knows_bX()
                                                 throws Exception

      Throws:
        `Exception`

    - #### g_V_matchXa_knows_b__a_created_cX

          public void g_V_matchXa_knows_b__a_created_cX()
                                                 throws Exception

      Throws:
        `Exception`

    - #### g_V_matchXd_0knows_a__d_hasXname_vadasX__a_knows_b__b_created_cX

          public void g_V_matchXd_0knows_a__d_hasXname_vadasX__a_knows_b__b_created_cX()
                                                                                throws Exception

      Throws:
        `Exception`

    - #### g_V_matchXa_created_b__a_repeatXoutX_timesX2XX_selectXa_bX

          public void g_V_matchXa_created_b__a_repeatXoutX_timesX2XX_selectXa_bX()
                                                                          throws Exception

      Throws:
        `Exception`

    - #### g_V_matchXa_created_lop_b__b_0created_29_cX_whereXc_repeatXoutX_timesX2XX_selectXa_b_cX

          public void g_V_matchXa_created_lop_b__b_0created_29_cX_whereXc_repeatXoutX_timesX2XX_selectXa_b_cX()
                                                                                                       throws Exception

      Throws:
        `Exception`

    - #### g_V_matchXa_created_lop_b__b_0created_29_c__c_whereXrepeatXoutX_timesX2XXX

          public void g_V_matchXa_created_lop_b__b_0created_29_c__c_whereXrepeatXoutX_timesX2XXX()
                                                                                          throws Exception

      Throws:
        `Exception`

    - #### g_V_out_out_matchXa_0created_b__b_0knows_cX_selectXcX_outXcreatedX_name

          public void g_V_out_out_matchXa_0created_b__b_0knows_cX_selectXcX_outXcreatedX_name()
                                                                                       throws Exception

      Throws:
        `Exception`

    - #### g_V_matchXa_created_b__b_0created_aX

          public void g_V_matchXa_created_b__b_0created_aX()

    - #### g_V_matchXa_knows_b__c_knows_bX

          public void g_V_matchXa_knows_b__c_knows_bX()

    - #### g_V_matchXa_knows_b__b_created_lop__b_matchXb_created_d__d_0created_cX_selectXcX_cX_selectXa_b_cX

          public void g_V_matchXa_knows_b__b_created_lop__b_matchXb_created_d__d_0created_cX_selectXcX_cX_selectXa_b_cX()
                                                                                                                 throws Exception

      Throws:
        `Exception`

    - #### g_V_matchXa_created_b__c_created_bX_selectXa_b_cX_byXnameX

          public void g_V_matchXa_created_b__c_created_bX_selectXa_b_cX_byXnameX()
                                                                          throws Exception

      Throws:
        `Exception`

    - #### g_V_out_asXcX_matchXb_knows_a__c_created_eX_selectXcX

          public void g_V_out_asXcX_matchXb_knows_a__c_created_eX_selectXcX()
                                                                     throws Exception

      Throws:
        `Exception`

    - #### g_V_matchXa_hasXname_GarciaX__a_0writtenBy_b__a_0sungBy_bX

          public void g_V_matchXa_hasXname_GarciaX__a_0writtenBy_b__a_0sungBy_bX()
                                                                          throws Exception

      Throws:
        `Exception`

    - #### g_V_matchXa_0sungBy_b__a_0sungBy_c__b_writtenBy_d__c_writtenBy_e__d_hasXname_George_HarisonX__e_hasXname_Bob_MarleyXX

          public void g_V_matchXa_0sungBy_b__a_0sungBy_c__b_writtenBy_d__c_writtenBy_e__d_hasXname_George_HarisonX__e_hasXname_Bob_MarleyXX()
                                                                                                                                     throws Exception

      Throws:
        `Exception`

    - #### g_V_matchXa_created_b__b_0created_cX_whereXa_neq_cX_selectXa_cX

          public void g_V_matchXa_created_b__b_0created_cX_whereXa_neq_cX_selectXa_cX()
                                                                               throws Exception

      Throws:
        `Exception`

    - #### g_V_matchXa_0sungBy_b__a_0writtenBy_c__b_writtenBy_d__c_sungBy_d__d_hasXname_GarciaXX

          public void g_V_matchXa_0sungBy_b__a_0writtenBy_c__b_writtenBy_d__c_sungBy_d__d_hasXname_GarciaXX()
                                                                                                     throws Exception

      Throws:
        `Exception`

    - #### g_V_matchXa_0sungBy_b__a_0writtenBy_c__b_writtenBy_dX_whereXc_sungBy_dX_whereXd_hasXname_GarciaXX

          public void g_V_matchXa_0sungBy_b__a_0writtenBy_c__b_writtenBy_dX_whereXc_sungBy_dX_whereXd_hasXname_GarciaXX()
                                                                                                                 throws Exception

      Throws:
        `Exception`

    - #### g_V_matchXa_whereXa_neqXcXX__a_created_b__orXa_knows_vadas__a_0knows_and_a_hasXlabel_personXX__b_0created_c__b_0created_count_isXgtX1XXX_selectXa_b_cX_byXidX

          public void g_V_matchXa_whereXa_neqXcXX__a_created_b__orXa_knows_vadas__a_0knows_and_a_hasXlabel_personXX__b_0created_c__b_0created_count_isXgtX1XXX_selectXa_b_cX_byXidX()

    - #### g_V_asXaX_out_asXbX_matchXa_out_count_c__b_in_count_cX

          public void g_V_asXaX_out_asXbX_matchXa_out_count_c__b_in_count_cX()

    - #### g_V_matchXa_hasXname_GarciaX__a_0writtenBy_b__b_followedBy_c__c_writtenBy_d__whereXd_neqXaXXX

          public void g_V_matchXa_hasXname_GarciaX__a_0writtenBy_b__b_followedBy_c__c_writtenBy_d__whereXd_neqXaXXX()

    - #### g_V_matchXa_knows_b__andXa_created_c__b_created_c__andXb_created_count_d__a_knows_count_dXXX

          public void g_V_matchXa_knows_b__andXa_created_c__b_created_c__andXb_created_count_d__a_knows_count_dXXX()

    - #### g_V_asXaX_out_asXbX_matchXa_out_count_c__orXa_knows_b__b_in_count_c__and__c_isXgtX2XXXX

          public void g_V_asXaX_out_asXbX_matchXa_out_count_c__orXa_knows_b__b_in_count_c__and__c_isXgtX2XXXX()

    - #### g_V_matchXa__a_out_b__notXa_created_bXX

          public void g_V_matchXa__a_out_b__notXa_created_bXX()

    - #### g_V_matchXwhereXandXa_created_b__b_0created_count_isXeqX3XXXX__a_both_b__whereXb_inXX

          public void g_V_matchXwhereXandXa_created_b__b_0created_count_isXeqX3XXXX__a_both_b__whereXb_inXX()

    - #### g_V_matchXa__a_both_b__b_both_cX_dedupXa_bX

          public void g_V_matchXa__a_both_b__b_both_cX_dedupXa_bX()

    - #### g_V_matchXa_both_b__b_both_cX_dedupXa_bX_byXlabelX

          public void g_V_matchXa_both_b__b_both_cX_dedupXa_bX_byXlabelX()

    - #### g_V_hasLabelXsongsX_matchXa_name_b__a_performances_cX_selectXb_cX_count

          public void g_V_hasLabelXsongsX_matchXa_name_b__a_performances_cX_selectXb_cX_count()

    - #### g_V_matchXa_knows_count_bX_selectXbX

          public void g_V_matchXa_knows_count_bX_selectXbX()

    - #### g_V_matchXa_knows_b__b_created_c__a_created_cX_dedupXa_b_cX_selectXaX_byXnameX

          public void g_V_matchXa_knows_b__b_created_c__a_created_cX_dedupXa_b_cX_selectXaX_byXnameX()

    - #### g_V_notXmatchXa_age_b__a_name_cX_whereXb_eqXcXX_selectXaXX_name

          public void g_V_notXmatchXa_age_b__a_name_cX_whereXb_eqXcXX_selectXaXX_name()

    - #### g_V_matchXa_followedBy_count_isXgtX10XX_b__a_0followedBy_count_isXgtX10XX_bX_count

          public void g_V_matchXa_followedBy_count_isXgtX10XX_b__a_0followedBy_count_isXgtX10XX_bX_count()

    - #### g_V_matchXa_hasXsong_name_sunshineX__a_mapX0followedBy_weight_meanX_b__a_0followedBy_c__c_filterXweight_whereXgteXbXXX_outV_dX_selectXdX_byXnameX

          public void g_V_matchXa_hasXsong_name_sunshineX__a_mapX0followedBy_weight_meanX_b__a_0followedBy_c__c_filterXweight_whereXgteXbXXX_outV_dX_selectXdX_byXnameX()

    - #### g_V_matchXa_outEXcreatedX_order_byXweight_descX_limitX1X_inV_b__b_hasXlang_javaXX_selectXa_bX_byXnameX

          public void g_V_matchXa_outEXcreatedX_order_byXweight_descX_limitX1X_inV_b__b_hasXlang_javaXX_selectXa_bX_byXnameX()

    - #### g_V_matchXa_outXknowsX_name_bX_identity

          public void g_V_matchXa_outXknowsX_name_bX_identity()

Copyright © 2013–2022 Apache Software Foundation. All rights reserved.